searchNodes=[{"doc":"Create and execute ffmpeg CLI commands. The API is a builder, building up the list of options per-file, per-stream(-per-file), and globally. Note that adding options is backwards from using the ffmpeg CLI; when using ffmpeg CLI, you specify the options before each file. But with FFmpex (this library), you add the file/stream first, then add the relevant options afterward. Example import FFmpex use FFmpex.Options command = FFmpex . new_command |&gt; add_global_option ( option_y ( ) ) |&gt; add_input_file ( &quot;/path/to/input.avi&quot; ) |&gt; add_output_file ( &quot;/path/to/output.avi&quot; ) |&gt; add_stream_specifier ( stream_type : :video ) |&gt; add_stream_option ( option_b ( &quot;64k&quot; ) ) |&gt; add_file_option ( option_maxrate ( &quot;128k&quot; ) ) |&gt; add_file_option ( option_bufsize ( &quot;64k&quot; ) ) :ok = execute ( command )","ref":"FFmpex.html","title":"FFmpex","type":"module"},{"doc":"Add a per-file option to the command. Applies to the most recently added file.","ref":"FFmpex.html#add_file_option/2","title":"FFmpex.add_file_option/2","type":"function"},{"doc":"Add a global option that applies to the entire command.","ref":"FFmpex.html#add_global_option/2","title":"FFmpex.add_global_option/2","type":"function"},{"doc":"Add an input file to the command.","ref":"FFmpex.html#add_input_file/2","title":"FFmpex.add_input_file/2","type":"function"},{"doc":"Add an output file to the command.","ref":"FFmpex.html#add_output_file/2","title":"FFmpex.add_output_file/2","type":"function"},{"doc":"Add a per-stream option to the command. Applies to the most recently added stream specifier, of the most recently added file.","ref":"FFmpex.html#add_stream_option/2","title":"FFmpex.add_stream_option/2","type":"function"},{"doc":"Add a stream specifier to the most recent file. The stream specifier is used as a target for per-stream options. Example add_stream_specifier ( command , stream_type : :video ) Options :stream_index - 0-based integer index for the stream :stream_type - One of :video , :video_without_pics , :audio , :subtitle , :data , :attachments :program_id - ID for the program :stream_id - Stream id (e.g. PID in MPEG-TS container) :metadata_key - Match streams with the given metadata tag :metadata_value - Match streams with the given metadata value. Must also specify :metadata_key . :usable - Matches streams with usable configuration, the codec must be defined and the essential information such as video dimension or audio sample rate must be present.","ref":"FFmpex.html#add_stream_specifier/2","title":"FFmpex.add_stream_specifier/2","type":"function"},{"doc":"Execute the command using ffmpeg CLI. Returns {:ok, output} on success, or {:error, {cmd_output, exit_status}} on error.","ref":"FFmpex.html#execute/1","title":"FFmpex.execute/1","type":"function"},{"doc":"Begin a new blank (no options) ffmpeg command.","ref":"FFmpex.html#new_command/0","title":"FFmpex.new_command/0","type":"function"},{"doc":"Prepares the command to be executed, by converting the %Command{} into proper parameters to be feeded to System.cmd/3 or Port.open/2 . Under normal circumstances FFmpex.execute/1 should be used, use prepare only when converted args are needed to be feeded in a custom execution method. Returns {ffmpeg_executable_path, list_of_args} .","ref":"FFmpex.html#prepare/1","title":"FFmpex.prepare/1","type":"function"},{"doc":"Outputs to stdout, so it can be used directly from execute/1 's output this option cannot be used with output files","ref":"FFmpex.html#to_stdout/1","title":"FFmpex.to_stdout/1","type":"function"},{"doc":"Convenience to import all FFmpex options. use FFmpex.Options","ref":"FFmpex.Options.html","title":"FFmpex.Options","type":"module"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Advanced-options","ref":"FFmpex.Options.Advanced.html","title":"FFmpex.Options.Advanced","type":"module"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_abort_on/0","title":"FFmpex.Options.Advanced.option_abort_on/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_abort_on/1","title":"FFmpex.Options.Advanced.option_abort_on/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_accurate_seek/0","title":"FFmpex.Options.Advanced.option_accurate_seek/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_accurate_seek/1","title":"FFmpex.Options.Advanced.option_accurate_seek/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_async/0","title":"FFmpex.Options.Advanced.option_async/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_async/1","title":"FFmpex.Options.Advanced.option_async/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_benchmark/0","title":"FFmpex.Options.Advanced.option_benchmark/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_benchmark/1","title":"FFmpex.Options.Advanced.option_benchmark/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_benchmark_all/0","title":"FFmpex.Options.Advanced.option_benchmark_all/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_benchmark_all/1","title":"FFmpex.Options.Advanced.option_benchmark_all/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_bsf/0","title":"FFmpex.Options.Advanced.option_bsf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_bsf/1","title":"FFmpex.Options.Advanced.option_bsf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copy_unknown/0","title":"FFmpex.Options.Advanced.option_copy_unknown/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copy_unknown/1","title":"FFmpex.Options.Advanced.option_copy_unknown/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copytb/0","title":"FFmpex.Options.Advanced.option_copytb/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copytb/1","title":"FFmpex.Options.Advanced.option_copytb/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copyts/0","title":"FFmpex.Options.Advanced.option_copyts/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_copyts/1","title":"FFmpex.Options.Advanced.option_copyts/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_discard/0","title":"FFmpex.Options.Advanced.option_discard/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_discard/1","title":"FFmpex.Options.Advanced.option_discard/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_dts_delta_threshold/0","title":"FFmpex.Options.Advanced.option_dts_delta_threshold/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_dts_delta_threshold/1","title":"FFmpex.Options.Advanced.option_dts_delta_threshold/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_dump/0","title":"FFmpex.Options.Advanced.option_dump/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_dump/1","title":"FFmpex.Options.Advanced.option_dump/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex/0","title":"FFmpex.Options.Advanced.option_filter_complex/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex/1","title":"FFmpex.Options.Advanced.option_filter_complex/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex_script/0","title":"FFmpex.Options.Advanced.option_filter_complex_script/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex_script/1","title":"FFmpex.Options.Advanced.option_filter_complex_script/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex_threads/0","title":"FFmpex.Options.Advanced.option_filter_complex_threads/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_filter_complex_threads/1","title":"FFmpex.Options.Advanced.option_filter_complex_threads/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_frame_drop_threshold/0","title":"FFmpex.Options.Advanced.option_frame_drop_threshold/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_frame_drop_threshold/1","title":"FFmpex.Options.Advanced.option_frame_drop_threshold/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_hex/0","title":"FFmpex.Options.Advanced.option_hex/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_hex/1","title":"FFmpex.Options.Advanced.option_hex/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_ignore_unknown/0","title":"FFmpex.Options.Advanced.option_ignore_unknown/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_ignore_unknown/1","title":"FFmpex.Options.Advanced.option_ignore_unknown/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_lavfi/0","title":"FFmpex.Options.Advanced.option_lavfi/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_lavfi/1","title":"FFmpex.Options.Advanced.option_lavfi/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_loop/0","title":"FFmpex.Options.Advanced.option_loop/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_loop/1","title":"FFmpex.Options.Advanced.option_loop/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map/0","title":"FFmpex.Options.Advanced.option_map/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map/1","title":"FFmpex.Options.Advanced.option_map/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_channel/0","title":"FFmpex.Options.Advanced.option_map_channel/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_channel/1","title":"FFmpex.Options.Advanced.option_map_channel/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_chapters/0","title":"FFmpex.Options.Advanced.option_map_chapters/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_chapters/1","title":"FFmpex.Options.Advanced.option_map_chapters/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_metadata/0","title":"FFmpex.Options.Advanced.option_map_metadata/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_map_metadata/1","title":"FFmpex.Options.Advanced.option_map_metadata/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_max_muxing_queue_size/0","title":"FFmpex.Options.Advanced.option_max_muxing_queue_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_max_muxing_queue_size/1","title":"FFmpex.Options.Advanced.option_max_muxing_queue_size/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_muxdelay/0","title":"FFmpex.Options.Advanced.option_muxdelay/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_muxdelay/1","title":"FFmpex.Options.Advanced.option_muxdelay/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_muxpreload/0","title":"FFmpex.Options.Advanced.option_muxpreload/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_muxpreload/1","title":"FFmpex.Options.Advanced.option_muxpreload/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_override_ffserver/0","title":"FFmpex.Options.Advanced.option_override_ffserver/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_override_ffserver/1","title":"FFmpex.Options.Advanced.option_override_ffserver/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_re/0","title":"FFmpex.Options.Advanced.option_re/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_re/1","title":"FFmpex.Options.Advanced.option_re/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_sdp_file/0","title":"FFmpex.Options.Advanced.option_sdp_file/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_sdp_file/1","title":"FFmpex.Options.Advanced.option_sdp_file/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_seek_timestamp/0","title":"FFmpex.Options.Advanced.option_seek_timestamp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_seek_timestamp/1","title":"FFmpex.Options.Advanced.option_seek_timestamp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_shortest/0","title":"FFmpex.Options.Advanced.option_shortest/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_shortest/1","title":"FFmpex.Options.Advanced.option_shortest/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_start_at_zero/0","title":"FFmpex.Options.Advanced.option_start_at_zero/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_start_at_zero/1","title":"FFmpex.Options.Advanced.option_start_at_zero/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_streamid/0","title":"FFmpex.Options.Advanced.option_streamid/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_streamid/1","title":"FFmpex.Options.Advanced.option_streamid/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_tag/0","title":"FFmpex.Options.Advanced.option_tag/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_tag/1","title":"FFmpex.Options.Advanced.option_tag/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_thread_queue_size/0","title":"FFmpex.Options.Advanced.option_thread_queue_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_thread_queue_size/1","title":"FFmpex.Options.Advanced.option_thread_queue_size/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_timecode/0","title":"FFmpex.Options.Advanced.option_timecode/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_timecode/1","title":"FFmpex.Options.Advanced.option_timecode/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_timelimit/0","title":"FFmpex.Options.Advanced.option_timelimit/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_timelimit/1","title":"FFmpex.Options.Advanced.option_timelimit/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_vsync/0","title":"FFmpex.Options.Advanced.option_vsync/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_vsync/1","title":"FFmpex.Options.Advanced.option_vsync/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_xerror/0","title":"FFmpex.Options.Advanced.option_xerror/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Advanced.html#option_xerror/1","title":"FFmpex.Options.Advanced.option_xerror/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Audio-Options","ref":"FFmpex.Options.Audio.html","title":"FFmpex.Options.Audio","type":"module"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_absf/0","title":"FFmpex.Options.Audio.option_absf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_absf/1","title":"FFmpex.Options.Audio.option_absf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_ac/0","title":"FFmpex.Options.Audio.option_ac/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_ac/1","title":"FFmpex.Options.Audio.option_ac/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_acodec/0","title":"FFmpex.Options.Audio.option_acodec/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_acodec/1","title":"FFmpex.Options.Audio.option_acodec/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_af/0","title":"FFmpex.Options.Audio.option_af/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_af/1","title":"FFmpex.Options.Audio.option_af/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_aframes/0","title":"FFmpex.Options.Audio.option_aframes/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_aframes/1","title":"FFmpex.Options.Audio.option_aframes/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_an/0","title":"FFmpex.Options.Audio.option_an/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_an/1","title":"FFmpex.Options.Audio.option_an/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_aq/0","title":"FFmpex.Options.Audio.option_aq/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_aq/1","title":"FFmpex.Options.Audio.option_aq/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_ar/0","title":"FFmpex.Options.Audio.option_ar/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_ar/1","title":"FFmpex.Options.Audio.option_ar/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_atag/0","title":"FFmpex.Options.Audio.option_atag/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_atag/1","title":"FFmpex.Options.Audio.option_atag/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_guess_layout_max/0","title":"FFmpex.Options.Audio.option_guess_layout_max/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_guess_layout_max/1","title":"FFmpex.Options.Audio.option_guess_layout_max/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_sample_fmt/0","title":"FFmpex.Options.Audio.option_sample_fmt/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Audio.html#option_sample_fmt/1","title":"FFmpex.Options.Audio.option_sample_fmt/1","type":"function"},{"doc":"https://www.ffmpeg.org/ffmpeg-devices.html","ref":"FFmpex.Options.Devices.Libavdevice.html","title":"FFmpex.Options.Devices.Libavdevice","type":"module"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_draw_mouse/0","title":"FFmpex.Options.Devices.Libavdevice.option_draw_mouse/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_draw_mouse/1","title":"FFmpex.Options.Devices.Libavdevice.option_draw_mouse/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_framerate/0","title":"FFmpex.Options.Devices.Libavdevice.option_framerate/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_framerate/1","title":"FFmpex.Options.Devices.Libavdevice.option_framerate/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_video_size/0","title":"FFmpex.Options.Devices.Libavdevice.option_video_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Devices.Libavdevice.html#option_video_size/1","title":"FFmpex.Options.Devices.Libavdevice.option_video_size/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Main-options","ref":"FFmpex.Options.Main.html","title":"FFmpex.Options.Main","type":"module"},{"doc":"","ref":"FFmpex.Options.Main.html#option_attach/0","title":"FFmpex.Options.Main.option_attach/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_attach/1","title":"FFmpex.Options.Main.option_attach/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_c/0","title":"FFmpex.Options.Main.option_c/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_c/1","title":"FFmpex.Options.Main.option_c/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_codec/0","title":"FFmpex.Options.Main.option_codec/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_codec/1","title":"FFmpex.Options.Main.option_codec/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_debug_ts/0","title":"FFmpex.Options.Main.option_debug_ts/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_debug_ts/1","title":"FFmpex.Options.Main.option_debug_ts/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_dframes/0","title":"FFmpex.Options.Main.option_dframes/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_dframes/1","title":"FFmpex.Options.Main.option_dframes/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_disposition/0","title":"FFmpex.Options.Main.option_disposition/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_disposition/1","title":"FFmpex.Options.Main.option_disposition/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_dump_attachment/0","title":"FFmpex.Options.Main.option_dump_attachment/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_dump_attachment/1","title":"FFmpex.Options.Main.option_dump_attachment/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_f/0","title":"FFmpex.Options.Main.option_f/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_f/1","title":"FFmpex.Options.Main.option_f/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter/0","title":"FFmpex.Options.Main.option_filter/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter/1","title":"FFmpex.Options.Main.option_filter/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter_script/0","title":"FFmpex.Options.Main.option_filter_script/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter_script/1","title":"FFmpex.Options.Main.option_filter_script/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter_threads/0","title":"FFmpex.Options.Main.option_filter_threads/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_filter_threads/1","title":"FFmpex.Options.Main.option_filter_threads/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_frames/0","title":"FFmpex.Options.Main.option_frames/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_frames/1","title":"FFmpex.Options.Main.option_frames/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_fs/0","title":"FFmpex.Options.Main.option_fs/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_fs/1","title":"FFmpex.Options.Main.option_fs/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_i/0","title":"FFmpex.Options.Main.option_i/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_i/1","title":"FFmpex.Options.Main.option_i/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_itsoffset/0","title":"FFmpex.Options.Main.option_itsoffset/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_itsoffset/1","title":"FFmpex.Options.Main.option_itsoffset/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_metadata/0","title":"FFmpex.Options.Main.option_metadata/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_metadata/1","title":"FFmpex.Options.Main.option_metadata/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_n/0","title":"FFmpex.Options.Main.option_n/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_n/1","title":"FFmpex.Options.Main.option_n/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_noautorotate/0","title":"FFmpex.Options.Main.option_noautorotate/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_noautorotate/1","title":"FFmpex.Options.Main.option_noautorotate/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_pre/0","title":"FFmpex.Options.Main.option_pre/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_pre/1","title":"FFmpex.Options.Main.option_pre/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_program/0","title":"FFmpex.Options.Main.option_program/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_program/1","title":"FFmpex.Options.Main.option_program/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_progress/0","title":"FFmpex.Options.Main.option_progress/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_progress/1","title":"FFmpex.Options.Main.option_progress/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_q/0","title":"FFmpex.Options.Main.option_q/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_q/1","title":"FFmpex.Options.Main.option_q/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_qscale/0","title":"FFmpex.Options.Main.option_qscale/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_qscale/1","title":"FFmpex.Options.Main.option_qscale/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_ss/0","title":"FFmpex.Options.Main.option_ss/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_ss/1","title":"FFmpex.Options.Main.option_ss/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_sseof/0","title":"FFmpex.Options.Main.option_sseof/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_sseof/1","title":"FFmpex.Options.Main.option_sseof/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stats/0","title":"FFmpex.Options.Main.option_stats/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stats/1","title":"FFmpex.Options.Main.option_stats/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stdin/0","title":"FFmpex.Options.Main.option_stdin/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stdin/1","title":"FFmpex.Options.Main.option_stdin/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stream_loop/0","title":"FFmpex.Options.Main.option_stream_loop/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_stream_loop/1","title":"FFmpex.Options.Main.option_stream_loop/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_t/0","title":"FFmpex.Options.Main.option_t/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_t/1","title":"FFmpex.Options.Main.option_t/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_target/0","title":"FFmpex.Options.Main.option_target/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_target/1","title":"FFmpex.Options.Main.option_target/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_timestamp/0","title":"FFmpex.Options.Main.option_timestamp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_timestamp/1","title":"FFmpex.Options.Main.option_timestamp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_to/0","title":"FFmpex.Options.Main.option_to/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_to/1","title":"FFmpex.Options.Main.option_to/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_y/0","title":"FFmpex.Options.Main.option_y/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Main.html#option_y/1","title":"FFmpex.Options.Main.option_y/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Subtitle-options","ref":"FFmpex.Options.Subtitle.html","title":"FFmpex.Options.Subtitle","type":"module"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_canvas_size/0","title":"FFmpex.Options.Subtitle.option_canvas_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_canvas_size/1","title":"FFmpex.Options.Subtitle.option_canvas_size/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_fix_sub_duration/0","title":"FFmpex.Options.Subtitle.option_fix_sub_duration/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_fix_sub_duration/1","title":"FFmpex.Options.Subtitle.option_fix_sub_duration/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_sbsf/0","title":"FFmpex.Options.Subtitle.option_sbsf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_sbsf/1","title":"FFmpex.Options.Subtitle.option_sbsf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_scodec/0","title":"FFmpex.Options.Subtitle.option_scodec/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_scodec/1","title":"FFmpex.Options.Subtitle.option_scodec/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_sn/0","title":"FFmpex.Options.Subtitle.option_sn/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Subtitle.html#option_sn/1","title":"FFmpex.Options.Subtitle.option_sn/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Video-Options","ref":"FFmpex.Options.Video.html","title":"FFmpex.Options.Video","type":"module"},{"doc":"","ref":"FFmpex.Options.Video.html#option_aspect/0","title":"FFmpex.Options.Video.option_aspect/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_aspect/1","title":"FFmpex.Options.Video.option_aspect/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_copyinkf/0","title":"FFmpex.Options.Video.option_copyinkf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_copyinkf/1","title":"FFmpex.Options.Video.option_copyinkf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_dc/0","title":"FFmpex.Options.Video.option_dc/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_dc/1","title":"FFmpex.Options.Video.option_dc/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_force_key_frames/0","title":"FFmpex.Options.Video.option_force_key_frames/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_force_key_frames/1","title":"FFmpex.Options.Video.option_force_key_frames/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccel/0","title":"FFmpex.Options.Video.option_hwaccel/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccel/1","title":"FFmpex.Options.Video.option_hwaccel/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccel_device/0","title":"FFmpex.Options.Video.option_hwaccel_device/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccel_device/1","title":"FFmpex.Options.Video.option_hwaccel_device/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccels/0","title":"FFmpex.Options.Video.option_hwaccels/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_hwaccels/1","title":"FFmpex.Options.Video.option_hwaccels/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_ilme/0","title":"FFmpex.Options.Video.option_ilme/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_ilme/1","title":"FFmpex.Options.Video.option_ilme/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_pass/0","title":"FFmpex.Options.Video.option_pass/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_pass/1","title":"FFmpex.Options.Video.option_pass/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_passlogfile/0","title":"FFmpex.Options.Video.option_passlogfile/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_passlogfile/1","title":"FFmpex.Options.Video.option_passlogfile/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_pix_fmt/0","title":"FFmpex.Options.Video.option_pix_fmt/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_pix_fmt/1","title":"FFmpex.Options.Video.option_pix_fmt/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_psnr/0","title":"FFmpex.Options.Video.option_psnr/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_psnr/1","title":"FFmpex.Options.Video.option_psnr/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_qphist/0","title":"FFmpex.Options.Video.option_qphist/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_qphist/1","title":"FFmpex.Options.Video.option_qphist/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_r/0","title":"FFmpex.Options.Video.option_r/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_r/1","title":"FFmpex.Options.Video.option_r/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_rc_override/0","title":"FFmpex.Options.Video.option_rc_override/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_rc_override/1","title":"FFmpex.Options.Video.option_rc_override/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_s/0","title":"FFmpex.Options.Video.option_s/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_s/1","title":"FFmpex.Options.Video.option_s/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_sws_flags/0","title":"FFmpex.Options.Video.option_sws_flags/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_sws_flags/1","title":"FFmpex.Options.Video.option_sws_flags/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_top/0","title":"FFmpex.Options.Video.option_top/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_top/1","title":"FFmpex.Options.Video.option_top/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vbsf/0","title":"FFmpex.Options.Video.option_vbsf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vbsf/1","title":"FFmpex.Options.Video.option_vbsf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vcodec/0","title":"FFmpex.Options.Video.option_vcodec/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vcodec/1","title":"FFmpex.Options.Video.option_vcodec/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vdt/0","title":"FFmpex.Options.Video.option_vdt/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vdt/1","title":"FFmpex.Options.Video.option_vdt/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vf/0","title":"FFmpex.Options.Video.option_vf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vf/1","title":"FFmpex.Options.Video.option_vf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vframes/0","title":"FFmpex.Options.Video.option_vframes/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vframes/1","title":"FFmpex.Options.Video.option_vframes/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vn/0","title":"FFmpex.Options.Video.option_vn/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vn/1","title":"FFmpex.Options.Video.option_vn/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vstats/0","title":"FFmpex.Options.Video.option_vstats/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vstats/1","title":"FFmpex.Options.Video.option_vstats/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vstats_file/0","title":"FFmpex.Options.Video.option_vstats_file/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vstats_file/1","title":"FFmpex.Options.Video.option_vstats_file/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vtag/0","title":"FFmpex.Options.Video.option_vtag/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.html#option_vtag/1","title":"FFmpex.Options.Video.option_vtag/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#Format-Options","ref":"FFmpex.Options.Video.Libavformat.html","title":"FFmpex.Options.Video.Libavformat","type":"module"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_analyzeduration/0","title":"FFmpex.Options.Video.Libavformat.option_analyzeduration/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_analyzeduration/1","title":"FFmpex.Options.Video.Libavformat.option_analyzeduration/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_audio_preload/0","title":"FFmpex.Options.Video.Libavformat.option_audio_preload/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_audio_preload/1","title":"FFmpex.Options.Video.Libavformat.option_audio_preload/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_avioflags/0","title":"FFmpex.Options.Video.Libavformat.option_avioflags/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_avioflags/1","title":"FFmpex.Options.Video.Libavformat.option_avioflags/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_avoid_negative_ts/0","title":"FFmpex.Options.Video.Libavformat.option_avoid_negative_ts/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_avoid_negative_ts/1","title":"FFmpex.Options.Video.Libavformat.option_avoid_negative_ts/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_chunk_duration/0","title":"FFmpex.Options.Video.Libavformat.option_chunk_duration/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_chunk_duration/1","title":"FFmpex.Options.Video.Libavformat.option_chunk_duration/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_chunk_size/0","title":"FFmpex.Options.Video.Libavformat.option_chunk_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_chunk_size/1","title":"FFmpex.Options.Video.Libavformat.option_chunk_size/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_correct_ts_overflow/0","title":"FFmpex.Options.Video.Libavformat.option_correct_ts_overflow/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_correct_ts_overflow/1","title":"FFmpex.Options.Video.Libavformat.option_correct_ts_overflow/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_cryptokey/0","title":"FFmpex.Options.Video.Libavformat.option_cryptokey/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_cryptokey/1","title":"FFmpex.Options.Video.Libavformat.option_cryptokey/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_dump_separator/0","title":"FFmpex.Options.Video.Libavformat.option_dump_separator/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_dump_separator/1","title":"FFmpex.Options.Video.Libavformat.option_dump_separator/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_err_detect/0","title":"FFmpex.Options.Video.Libavformat.option_err_detect/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_err_detect/1","title":"FFmpex.Options.Video.Libavformat.option_err_detect/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_f_err_detect/0","title":"FFmpex.Options.Video.Libavformat.option_f_err_detect/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_f_err_detect/1","title":"FFmpex.Options.Video.Libavformat.option_f_err_detect/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fdebug/0","title":"FFmpex.Options.Video.Libavformat.option_fdebug/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fdebug/1","title":"FFmpex.Options.Video.Libavformat.option_fdebug/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fflags/0","title":"FFmpex.Options.Video.Libavformat.option_fflags/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fflags/1","title":"FFmpex.Options.Video.Libavformat.option_fflags/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_flush_packets/0","title":"FFmpex.Options.Video.Libavformat.option_flush_packets/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_flush_packets/1","title":"FFmpex.Options.Video.Libavformat.option_flush_packets/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_format_whitelist/0","title":"FFmpex.Options.Video.Libavformat.option_format_whitelist/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_format_whitelist/1","title":"FFmpex.Options.Video.Libavformat.option_format_whitelist/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fpsprobesize/0","title":"FFmpex.Options.Video.Libavformat.option_fpsprobesize/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_fpsprobesize/1","title":"FFmpex.Options.Video.Libavformat.option_fpsprobesize/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_indexmem/0","title":"FFmpex.Options.Video.Libavformat.option_indexmem/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_indexmem/1","title":"FFmpex.Options.Video.Libavformat.option_indexmem/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_max_delay/0","title":"FFmpex.Options.Video.Libavformat.option_max_delay/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_max_delay/1","title":"FFmpex.Options.Video.Libavformat.option_max_delay/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_max_interleave_delta/0","title":"FFmpex.Options.Video.Libavformat.option_max_interleave_delta/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_max_interleave_delta/1","title":"FFmpex.Options.Video.Libavformat.option_max_interleave_delta/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_output_ts_offset/0","title":"FFmpex.Options.Video.Libavformat.option_output_ts_offset/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_output_ts_offset/1","title":"FFmpex.Options.Video.Libavformat.option_output_ts_offset/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_packetsize/0","title":"FFmpex.Options.Video.Libavformat.option_packetsize/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_packetsize/1","title":"FFmpex.Options.Video.Libavformat.option_packetsize/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_probesize/0","title":"FFmpex.Options.Video.Libavformat.option_probesize/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_probesize/1","title":"FFmpex.Options.Video.Libavformat.option_probesize/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_rtbufsize/0","title":"FFmpex.Options.Video.Libavformat.option_rtbufsize/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_rtbufsize/1","title":"FFmpex.Options.Video.Libavformat.option_rtbufsize/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_seek2any/0","title":"FFmpex.Options.Video.Libavformat.option_seek2any/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_seek2any/1","title":"FFmpex.Options.Video.Libavformat.option_seek2any/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_skip_initial_bytes/0","title":"FFmpex.Options.Video.Libavformat.option_skip_initial_bytes/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_skip_initial_bytes/1","title":"FFmpex.Options.Video.Libavformat.option_skip_initial_bytes/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_use_wallclock_as_timestamps/0","title":"FFmpex.Options.Video.Libavformat.option_use_wallclock_as_timestamps/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libavformat.html#option_use_wallclock_as_timestamps/1","title":"FFmpex.Options.Video.Libavformat.option_use_wallclock_as_timestamps/1","type":"function"},{"doc":"https://ffmpeg.org/ffmpeg-all.html#libx264_002c-libx264rgb","ref":"FFmpex.Options.Video.Libx264.html","title":"FFmpex.Options.Video.Libx264","type":"module"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_8x8dct/0","title":"FFmpex.Options.Video.Libx264.option_8x8dct/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_8x8dct/1","title":"FFmpex.Options.Video.Libx264.option_8x8dct/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_ab/0","title":"FFmpex.Options.Video.Libx264.option_ab/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_ab/1","title":"FFmpex.Options.Video.Libx264.option_ab/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aq_mode/0","title":"FFmpex.Options.Video.Libx264.option_aq_mode/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aq_mode/1","title":"FFmpex.Options.Video.Libx264.option_aq_mode/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aq_strength/0","title":"FFmpex.Options.Video.Libx264.option_aq_strength/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aq_strength/1","title":"FFmpex.Options.Video.Libx264.option_aq_strength/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aud/0","title":"FFmpex.Options.Video.Libx264.option_aud/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_aud/1","title":"FFmpex.Options.Video.Libx264.option_aud/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_avcintra_class/0","title":"FFmpex.Options.Video.Libx264.option_avcintra_class/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_avcintra_class/1","title":"FFmpex.Options.Video.Libx264.option_avcintra_class/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b/0","title":"FFmpex.Options.Video.Libx264.option_b/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b/1","title":"FFmpex.Options.Video.Libx264.option_b/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_bias/0","title":"FFmpex.Options.Video.Libx264.option_b_bias/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_bias/1","title":"FFmpex.Options.Video.Libx264.option_b_bias/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_pyramid/0","title":"FFmpex.Options.Video.Libx264.option_b_pyramid/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_pyramid/1","title":"FFmpex.Options.Video.Libx264.option_b_pyramid/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_strategy/0","title":"FFmpex.Options.Video.Libx264.option_b_strategy/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_b_strategy/1","title":"FFmpex.Options.Video.Libx264.option_b_strategy/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bf/0","title":"FFmpex.Options.Video.Libx264.option_bf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bf/1","title":"FFmpex.Options.Video.Libx264.option_bf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bframebias/0","title":"FFmpex.Options.Video.Libx264.option_bframebias/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bframebias/1","title":"FFmpex.Options.Video.Libx264.option_bframebias/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bluray_compat/0","title":"FFmpex.Options.Video.Libx264.option_bluray_compat/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bluray_compat/1","title":"FFmpex.Options.Video.Libx264.option_bluray_compat/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bufsize/0","title":"FFmpex.Options.Video.Libx264.option_bufsize/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_bufsize/1","title":"FFmpex.Options.Video.Libx264.option_bufsize/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_cmp/0","title":"FFmpex.Options.Video.Libx264.option_cmp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_cmp/1","title":"FFmpex.Options.Video.Libx264.option_cmp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_coder/0","title":"FFmpex.Options.Video.Libx264.option_coder/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_coder/1","title":"FFmpex.Options.Video.Libx264.option_coder/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_cplxblur/0","title":"FFmpex.Options.Video.Libx264.option_cplxblur/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_cplxblur/1","title":"FFmpex.Options.Video.Libx264.option_cplxblur/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_crf/0","title":"FFmpex.Options.Video.Libx264.option_crf/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_crf/1","title":"FFmpex.Options.Video.Libx264.option_crf/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_crf_max/0","title":"FFmpex.Options.Video.Libx264.option_crf_max/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_crf_max/1","title":"FFmpex.Options.Video.Libx264.option_crf_max/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_deblock/0","title":"FFmpex.Options.Video.Libx264.option_deblock/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_deblock/1","title":"FFmpex.Options.Video.Libx264.option_deblock/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_direct_pred/0","title":"FFmpex.Options.Video.Libx264.option_direct_pred/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_direct_pred/1","title":"FFmpex.Options.Video.Libx264.option_direct_pred/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_fast_pskip/0","title":"FFmpex.Options.Video.Libx264.option_fast_pskip/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_fast_pskip/1","title":"FFmpex.Options.Video.Libx264.option_fast_pskip/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_fastfirstpass/0","title":"FFmpex.Options.Video.Libx264.option_fastfirstpass/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_fastfirstpass/1","title":"FFmpex.Options.Video.Libx264.option_fastfirstpass/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_flags/0","title":"FFmpex.Options.Video.Libx264.option_flags/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_flags/1","title":"FFmpex.Options.Video.Libx264.option_flags/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_flags2/0","title":"FFmpex.Options.Video.Libx264.option_flags2/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_flags2/1","title":"FFmpex.Options.Video.Libx264.option_flags2/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_forced_idr/0","title":"FFmpex.Options.Video.Libx264.option_forced_idr/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_forced_idr/1","title":"FFmpex.Options.Video.Libx264.option_forced_idr/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_g/0","title":"FFmpex.Options.Video.Libx264.option_g/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_g/1","title":"FFmpex.Options.Video.Libx264.option_g/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_i_qfactor/0","title":"FFmpex.Options.Video.Libx264.option_i_qfactor/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_i_qfactor/1","title":"FFmpex.Options.Video.Libx264.option_i_qfactor/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_intra_refresh/0","title":"FFmpex.Options.Video.Libx264.option_intra_refresh/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_intra_refresh/1","title":"FFmpex.Options.Video.Libx264.option_intra_refresh/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_keyint_min/0","title":"FFmpex.Options.Video.Libx264.option_keyint_min/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_keyint_min/1","title":"FFmpex.Options.Video.Libx264.option_keyint_min/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_level/0","title":"FFmpex.Options.Video.Libx264.option_level/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_level/1","title":"FFmpex.Options.Video.Libx264.option_level/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_maxrate/0","title":"FFmpex.Options.Video.Libx264.option_maxrate/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_maxrate/1","title":"FFmpex.Options.Video.Libx264.option_maxrate/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_mbtree/0","title":"FFmpex.Options.Video.Libx264.option_mbtree/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_mbtree/1","title":"FFmpex.Options.Video.Libx264.option_mbtree/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_me_range/0","title":"FFmpex.Options.Video.Libx264.option_me_range/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_me_range/1","title":"FFmpex.Options.Video.Libx264.option_me_range/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_minrate/0","title":"FFmpex.Options.Video.Libx264.option_minrate/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_minrate/1","title":"FFmpex.Options.Video.Libx264.option_minrate/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_mixed_refs/0","title":"FFmpex.Options.Video.Libx264.option_mixed_refs/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_mixed_refs/1","title":"FFmpex.Options.Video.Libx264.option_mixed_refs/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_motion_est/0","title":"FFmpex.Options.Video.Libx264.option_motion_est/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_motion_est/1","title":"FFmpex.Options.Video.Libx264.option_motion_est/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_movflags/0","title":"FFmpex.Options.Video.Libx264.option_movflags/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_movflags/1","title":"FFmpex.Options.Video.Libx264.option_movflags/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_nal_hrd/0","title":"FFmpex.Options.Video.Libx264.option_nal_hrd/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_nal_hrd/1","title":"FFmpex.Options.Video.Libx264.option_nal_hrd/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_partitions/0","title":"FFmpex.Options.Video.Libx264.option_partitions/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_partitions/1","title":"FFmpex.Options.Video.Libx264.option_partitions/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_passlogfile/0","title":"FFmpex.Options.Video.Libx264.option_passlogfile/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_passlogfile/1","title":"FFmpex.Options.Video.Libx264.option_passlogfile/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_preset/0","title":"FFmpex.Options.Video.Libx264.option_preset/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_preset/1","title":"FFmpex.Options.Video.Libx264.option_preset/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_profile/0","title":"FFmpex.Options.Video.Libx264.option_profile/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_profile/1","title":"FFmpex.Options.Video.Libx264.option_profile/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_psy/0","title":"FFmpex.Options.Video.Libx264.option_psy/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_psy/1","title":"FFmpex.Options.Video.Libx264.option_psy/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_psy_rd/0","title":"FFmpex.Options.Video.Libx264.option_psy_rd/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_psy_rd/1","title":"FFmpex.Options.Video.Libx264.option_psy_rd/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qdiff/0","title":"FFmpex.Options.Video.Libx264.option_qdiff/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qdiff/1","title":"FFmpex.Options.Video.Libx264.option_qdiff/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qmax/0","title":"FFmpex.Options.Video.Libx264.option_qmax/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qmax/1","title":"FFmpex.Options.Video.Libx264.option_qmax/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qmin/0","title":"FFmpex.Options.Video.Libx264.option_qmin/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qmin/1","title":"FFmpex.Options.Video.Libx264.option_qmin/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qp/0","title":"FFmpex.Options.Video.Libx264.option_qp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_qp/1","title":"FFmpex.Options.Video.Libx264.option_qp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_rc_lookahead/0","title":"FFmpex.Options.Video.Libx264.option_rc_lookahead/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_rc_lookahead/1","title":"FFmpex.Options.Video.Libx264.option_rc_lookahead/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_refs/0","title":"FFmpex.Options.Video.Libx264.option_refs/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_refs/1","title":"FFmpex.Options.Video.Libx264.option_refs/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_sc_threshold/0","title":"FFmpex.Options.Video.Libx264.option_sc_threshold/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_sc_threshold/1","title":"FFmpex.Options.Video.Libx264.option_sc_threshold/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_slice_max_size/0","title":"FFmpex.Options.Video.Libx264.option_slice_max_size/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_slice_max_size/1","title":"FFmpex.Options.Video.Libx264.option_slice_max_size/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_ssim/0","title":"FFmpex.Options.Video.Libx264.option_ssim/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_ssim/1","title":"FFmpex.Options.Video.Libx264.option_ssim/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_stats/0","title":"FFmpex.Options.Video.Libx264.option_stats/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_stats/1","title":"FFmpex.Options.Video.Libx264.option_stats/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_subq/0","title":"FFmpex.Options.Video.Libx264.option_subq/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_subq/1","title":"FFmpex.Options.Video.Libx264.option_subq/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_threads/0","title":"FFmpex.Options.Video.Libx264.option_threads/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_threads/1","title":"FFmpex.Options.Video.Libx264.option_threads/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_trellis/0","title":"FFmpex.Options.Video.Libx264.option_trellis/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_trellis/1","title":"FFmpex.Options.Video.Libx264.option_trellis/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_tune/0","title":"FFmpex.Options.Video.Libx264.option_tune/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_tune/1","title":"FFmpex.Options.Video.Libx264.option_tune/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_vprofile/0","title":"FFmpex.Options.Video.Libx264.option_vprofile/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_vprofile/1","title":"FFmpex.Options.Video.Libx264.option_vprofile/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_weightb/0","title":"FFmpex.Options.Video.Libx264.option_weightb/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_weightb/1","title":"FFmpex.Options.Video.Libx264.option_weightb/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_weightp/0","title":"FFmpex.Options.Video.Libx264.option_weightp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_weightp/1","title":"FFmpex.Options.Video.Libx264.option_weightp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_wpredp/0","title":"FFmpex.Options.Video.Libx264.option_wpredp/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_wpredp/1","title":"FFmpex.Options.Video.Libx264.option_wpredp/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_x264_params/0","title":"FFmpex.Options.Video.Libx264.option_x264_params/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_x264_params/1","title":"FFmpex.Options.Video.Libx264.option_x264_params/1","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_x264opts/0","title":"FFmpex.Options.Video.Libx264.option_x264opts/0","type":"function"},{"doc":"","ref":"FFmpex.Options.Video.Libx264.html#option_x264opts/1","title":"FFmpex.Options.Video.Libx264.option_x264opts/1","type":"function"},{"doc":"Execute ffprobe CLI commands. ffprobe is a simple multimedia streams analyzer. You can use it to output all kinds of information about an input including duration, frame rate, frame size, etc. It is also useful for gathering specific information about an input to be used in a script. (from https://trac.ffmpeg.org/wiki/FFprobeTips )","ref":"FFprobe.html","title":"FFprobe","type":"module"},{"doc":"Get the duration in seconds, as a float. If no duration (e.g., a still image), returns :no_duration . If the file does not exist, returns { :error, :no_such_file }","ref":"FFprobe.html#duration/1","title":"FFprobe.duration/1","type":"function"},{"doc":"Get the &quot;format&quot; map, containing general info for the specified file, such as number of streams, duration, file size, and more. If the file does not exist, returns {:error, :no_such_file} . If the file is a non media file, returns {:error, :invalid_file} .","ref":"FFprobe.html#format/1","title":"FFprobe.format/1","type":"function"},{"doc":"Get a list of formats for the file. If the file does not exist, returns {:error, :no_such_file} . If the file is a non media file, returns {:error, :invalid_file} .","ref":"FFprobe.html#format_names/1","title":"FFprobe.format_names/1","type":"function"},{"doc":"Get a list a of streams from the file. If the file does not exist, returns {:error, :no_such_file} . If the file is a non media file, returns {:error, :invalid_file} .","ref":"FFprobe.html#streams/1","title":"FFprobe.streams/1","type":"function"},{"doc":"","ref":"FFprobe.html#t:format_map/0","title":"FFprobe.format_map/0","type":"type"},{"doc":"","ref":"FFprobe.html#t:streams_list/0","title":"FFprobe.streams_list/0","type":"type"},{"doc":"Changelog All notable changes to this project will be documented in this file. The format is based on Keep a Changelog , and this project adheres to Semantic Versioning . 0.8.1 (2021-11-11) Fixed SHELL environment variable check for erlexec.","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Breaking change: execute/1 returns {:ok, output} instead of :ok . Added to_stdout/1 to direct ffmpeg output to a buffer instead of a file. Retrieve buffer in {:ok, output} result of execute/1 . ( #31 ) 0.7.3 (2020-07-09) Relaxed Jason dependency so it can get all 1.x versions without mix.exs update. 0.7.2 (2020-07-09) Bumped Jason dependency to 1.2. 0.7.1 (2019-11-26) Changed to -loop instead of deprecated -loop_input and -loop_output options in FFmpex.Options.Advanced .","ref":"changelog.html#0-8-0-2021-11-10","title":"Changelog - 0.8.0 (2021-11-10)","type":"extras"},{"doc":"Breaking change: FFprobe API changes to return {:ok, term} or {:error, atom} from format_names/1 , format/1 , streams/1 . Changed FFprobe.duration/1 to return {:error, :no_such_file} for nonexistent file, instead of raising MatchError. Fixed FFprobe module to raise a clearer error message when FFmpeg not installed in system path.","ref":"changelog.html#0-7-0-2019-09-05","title":"Changelog - 0.7.0 (2019-09-05)","type":"extras"},{"doc":"Changed to Jason instead of Poison for JSON operations. 0.5.2 (2018-04-10) Added options video_size , framerate , draw_mouse in FFmpex.Options.Devices.Libavdevice . 0.5.1 (2018-04-02) Added FFmpex.prepare/1 to retrieve arguments list, useful for inspection or passing to Port.open/2 .","ref":"changelog.html#0-6-0-2019-07-16","title":"Changelog - 0.6.0 (2019-07-16)","type":"extras"},{"doc":"Breaking change: Changed output format of FFprobe.format/1 to be cleaner, based on ffmpeg JSON output. Specifically: &quot;nb_programs&quot; , &quot;nb_streams&quot; , and &quot;probe_score&quot; now contain integers instead of binaries; and tags are stored in a &quot;tags&quot; sub-map instead of being individual entries prefixed with &quot;TAG:&quot;. Added FFprobe.streams/1 to get a list of streams. Depends on Poison 3.1. Requires Elixir 1.4. 0.4.1 (2017-03-22) Fixed FFprobe.format/1 for paths with spaces.","ref":"changelog.html#0-5-0-2018-03-26","title":"Changelog - 0.5.0 (2018-03-26)","type":"extras"},{"doc":"Added FFmpex.Options.Video.Libavformat . Validate options context (input, output, global) as specified in FFmpeg docs.","ref":"changelog.html#0-4-0-2016-12-03","title":"Changelog - 0.4.0 (2016-12-03)","type":"extras"},{"doc":"Breaking change: add_stream_specifier/2 takes a keyword list instead of %StreamSpecifier{} . Breaking change: execute/1 returns :ok or {:error, {output, status}} , instead of {output, status} . Added use FFmpex.Options to conveniently import all options. 0.2.1 (2016-08-17) Added FFprobe.format/1 and FFprobe.format_names/1 .","ref":"changelog.html#0-3-0-2016-09-10","title":"Changelog - 0.3.0 (2016-09-10)","type":"extras"},{"doc":"Added FFprobe module. FFprobe.duration/1 to get video duration. 0.1.1 (2016-07-30) Lower Elixir requirement to 1.0 (was 1.3).","ref":"changelog.html#0-2-0-2016-08-15","title":"Changelog - 0.2.0 (2016-08-15)","type":"extras"},{"doc":"First FFmpex release. Specify per-file and per-stream options, and execute. Non-exhaustive catalog of known options.","ref":"changelog.html#0-1-0-2016-07-27","title":"Changelog - 0.1.0 (2016-07-27)","type":"extras"},{"doc":"MIT License Copyright (c) 2016 Andrew Shu Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"},{"doc":"FFmpex An Elixir wrapper for the FFmpeg command line interface. Documentation: https://hexdocs.pm/ffmpex/","ref":"readme.html","title":"Overview","type":"extras"},{"doc":"The API is a builder, building up the list of options per-file, per-stream(-per-file), and globally. Note that adding options is backwards from using the ffmpeg CLI; when using ffmpeg CLI, you specify the options before each file. But with FFmpex (this library), you add the file/stream first, then add the relevant options afterward.","ref":"readme.html#usage-notes","title":"Overview - Usage notes","type":"extras"},{"doc":"import FFmpex use FFmpex.Options command = FFmpex . new_command |&gt; add_global_option ( option_y ( ) ) |&gt; add_input_file ( &quot;/path/to/input.avi&quot; ) |&gt; add_output_file ( &quot;/path/to/output.avi&quot; ) |&gt; add_stream_specifier ( stream_type : :video ) |&gt; add_stream_option ( option_b ( &quot;64k&quot; ) ) |&gt; add_file_option ( option_maxrate ( &quot;128k&quot; ) ) |&gt; add_file_option ( option_bufsize ( &quot;64k&quot; ) ) { :ok , output } = execute ( command ) It is possible to obtain ffmpeg's output with: command = FFmpex . new_command |&gt; add_input_file ( &quot;/path/to/input.mp4&quot; ) |&gt; to_stdout ( ) |&gt; add_file_option ( option_f ( &quot;avi&quot; ) ) { :ok , output } = execute ( command ) do_something ( output ) You can use the FFprobe module to query for file info: FFprobe . duration ( &quot;/path/to/input.avi&quot; ) # =&gt; result in seconds, e.g., 228.456939 See silent_video and thumbnex for more usage examples.","ref":"readme.html#examples","title":"Overview - Examples","type":"extras"},{"doc":"FFmpeg must be installed.","ref":"readme.html#prerequisites","title":"Overview - Prerequisites","type":"extras"},{"doc":"Add ffmpex to your list of dependencies in mix.exs : def deps do [ { :ffmpex , &quot;~&gt; 0.8.1&quot; } ] end","ref":"readme.html#installation","title":"Overview - Installation","type":"extras"},{"doc":"You can specify some options in config.exs : config :ffmpex , ffmpeg_path : &quot;/path/to/ffmpeg&quot; config :ffmpex , ffprobe_path : &quot;/path/to/ffprobe&quot;","ref":"readme.html#configuration","title":"Overview - Configuration","type":"extras"},{"doc":"See the Changelog for changes between versions.","ref":"readme.html#release-notes","title":"Overview - Release notes","type":"extras"},{"doc":"FFmpex is not affiliated with nor endorsed by the FFmpeg project. FFmpeg is a trademark of Fabrice Bellard , originator of the FFmpeg project.","ref":"readme.html#disclaimer","title":"Overview - Disclaimer","type":"extras"},{"doc":"Copyright (c) 2016 Andrew Shu FFmpex source code is licensed under the MIT License .","ref":"readme.html#copyright-and-license","title":"Overview - Copyright and License","type":"extras"}]